goalUseRag.mSteps = 
{
	{ action = "click", object = objectIoRadiatorCap, selection = objectHoRag },
}

-- ----------------------------------------------------------------------------
function goalUseRag:shouldStart()

	return goalFindRag:isFinished()

end
-- ----------------------------------------------------------------------------
function goalUseRag:onStarted()
	
	-- objectIoRadiatorCap:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalUseRag:onUseObject(selectedObject, targetObject, targetProps)
	
	if (targetObject == objectIoRadiatorCap and selectedObject == objectHoRag) then
		objectIoRadiatorOpen:ss(kActive)
		self:achieved()
		
	end
	
end